#include <Array.au3>
#include "ATCmd.au3"


;~ Global Const $g_sDeviceName = "HUAWEI Mobile Connect - 3G Modem" ;Device Name
Global Const $g_sDeviceName = "COM7" ;COM Port


Global $aCOMDevices = _ATCmd_ListDevices()
_ArrayDisplay($aCOMDevices, '$aCOMDevices')

_ATCmd_ErrorLog(_Example_Error_Log_Output)
_ATCmd_FullLoging(_Example_Error_Log_Output)


_Example1()
;~ _ATCmd_FullLoging(True)
;~ _Example2()

Func _Example1()
	If _ATCmd_Connect($g_sDeviceName) Then
;~ 		If _ATCmd_IsPINRequired() Then _ATCmd_SetPIN("1234") ;Make sure to use Your Correct SIM PIN
		_ArrayDisplay(_ATCmd_GetAllStatus(), "1DArray Info")
		If _ATCmd_IsSIMInserted() And _ATCmd_OnPINRequest() Then  ;_ATCmd_OnPINRequest will Show a InputBox for set PIN
			_ArrayDisplay(_ATCmd_GetAllStatus(True), "2DArray Info")
;~ 			_ArrayDisplay(_ATCmd_GetAllStatus(True, True), "2DArray Info + All Networks") ;this will check for all networks. It will take many seconds
		Else
			_ATCmd_ErrorLog(@ScriptLineNumber & '_ATCmd_IsSIMInserted-_ATCmd_OnPINRequest - ' & _ATCmd_GetLastErrorMessageCR() & @CRLF)
		EndIf
	EndIf
EndFunc   ;==>_Example1

Func _Example2()
	_ATCmd_UsePDU(False)
;~ 	_ATCmd_UseUCS2(True) ;Enable _ATCmd_UsePDU Internally
	_ATCmd_ErrorLog(_Example_Error_Log_Output)
	If _ATCmd_Connect($g_sDeviceName) Then
		If _ATCmd_IsPINRequired() Then _ATCmd_SetPIN("1234") ;Make sure to use Your Correct SIM PIN
		_ATCmd_SMS_Sender("+000000000000", "_ATCmd UDF 😱 It Rocks 🤘!!!")
		Local $aListMessages = _ATCmd_SMS_ListMessages()
		_ArrayDisplay($aListMessages)
		_ATCmd_ErrorLog(@ScriptLineNumber & '-LastErrorMesage - ' & _ATCmd_GetLastErrorMessageCR())
	EndIf
EndFunc   ;==>_Example2

Func _Example_Error_Log_Output($sData)
	ConsoleWrite($sData & @CRLF)
EndFunc   ;==>_Example_Error_Log_Output
